"""Sell bot"""


from rival_regions_wrapper import util
from rival_regions_wrapper.wrapper import Storage

from rival_regions_marketbot import RR_WRAPPER, PROFILE_ID, wrapper


def sell(item, minimum_price):
    if minimum_price >= 500000000:
        return
    market = wrapper.Market(RR_WRAPPER)
    first_offer = market.first_offer(item)
    if first_offer["profile_id"] != PROFILE_ID:
        # op_markt = market.offer_by(item, PROFILE_ID)
        totaal = Storage(RR_WRAPPER).info()[item]
        # totaal = opslag + op_markt
        price = max(minimum_price, (first_offer["price"] * 100 - 10) / 100)
        if item == "helium-3":
            totaal = min(totaal, 153600)
        if item == "liquid_oxygen":
            totaal = min(totaal, 38400000)
        if item == "oil":
            totaal = min(totaal, 614400000)
        if item == "ore":
            totaal = min(totaal, 614400000)
        if item == "uranium":
            totaal = min(totaal, 15360000)
        if item == "diamonds":
            totaal = min(totaal, 153600)
        if item == "rivalium":
            totaal = min(totaal, 614400)
        if item == "antirad":
            totaal = min(totaal, 76800)
        if item == "spacerockets":
            totaal = min(totaal, 3840)
        if item == "lss":
            totaal = min(totaal, 15360000)
        if item == "tanks":
            totaal = min(totaal, 4388571)
        if item == "aircrafts":
            totaal = min(totaal, 640000)
        if item == "missiles":
            totaal = min(totaal, 256000)
        if item == "bombers":
            totaal = min(totaal, 128000)
        if item == "battleships":
            totaal = min(totaal, 128000)
        if item == "laser_drones":
            totaal = min(totaal, 256000)
        if item == "moon_tanks":
            totaal = min(totaal, 12800)
        if item == "space_stations":
            totaal = min(totaal, 1280)
        # if totaal == op_markt and own_price == minimum_price:
        if totaal != 0:
            item = util.ITEM_KEYS[item]
            RR_WRAPPER.post("storage/sell/{}".format(item))
            RR_WRAPPER.post(
                "storage/newsell/{}/{}/{}".format(item, totaal, price)
            )


def buy(item, maximum_price):
    """Buy item based on maximum price"""
    if maximum_price <= 1:
        return
    market = wrapper.Market(RR_WRAPPER)
    offer = market.first_offer(item)
    if offer["price"] <= maximum_price:
        market.buy(offer)
